<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Physician extends BaseModel
{
    public $timestamps = false;
    use HasFactory;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $fillable = ['name_en', 'name_kh','phone','logo','footer','lab_id','is_default'];

    protected $hidden = ['created_at', 'created_by', 'updated_at', 'updated_by','record_status_id'];

    public static function boot()
    {
        parent::boot();
    }

    public function lab(){
        return $this->belongsTo('App\Models\Laboratory', 'lab_id','id');
    }

}
